<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns="urn:oasis:names:tc:xliff:document:1.2"
	xmlns:xlf="urn:oasis:names:tc:xliff:document:1.2"
	exclude-result-prefixes="xlf">

	<xsl:output indent="yes"/>

	<!-- Stylesheet for merged xliff -->

	<xsl:param name="withTargetLanguage"/>

	<xsl:template match="xlf:file">
		<file source-language="{$withTargetLanguage}">
			<xsl:choose>
				<xsl:when test="@target-language = $withTargetLanguage">
					<xsl:attribute name="target-language">
						<xsl:value-of select="@source-language"/>
					</xsl:attribute>
				</xsl:when>
				<xsl:when test="@target-language">
					<xsl:copy-of select="@target-language"/>
				</xsl:when>
			</xsl:choose>
			<xsl:copy-of select="@original | @datatype"/>
			<xsl:apply-templates/>
		</file>
	</xsl:template>

	<xsl:template match="xlf:trans-unit">
		<xsl:variable name="transUnitId" select="@id"/>
		<xsl:copy>
			<xsl:copy-of select="@id"/>
			<xsl:choose>
				<xsl:when test="../../@target-language = $withTargetLanguage">
					<source>
						<xsl:copy-of select="xlf:target/node()"/>
					</source>
					<target>
						<xsl:copy-of select="xlf:source/node()"/>
					</target>
				</xsl:when>
				<xsl:otherwise>
					<source>
						<xsl:copy-of select="/xlf:xliff/xlf:file[@target-language = $withTargetLanguage]/xlf:body/xlf:trans-unit[@id = $transUnitId]/xlf:target/node()"/>
					</source>
					<xsl:copy-of select="xlf:target"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:copy>
	</xsl:template>

	<xsl:template match="*">
		<xsl:copy>
			<xsl:copy-of select="@*"/>
			<xsl:apply-templates/>
		</xsl:copy>
	</xsl:template>

</xsl:stylesheet>