<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns="urn:oasis:names:tc:xliff:document:1.2"
	xmlns:xlf="urn:oasis:names:tc:xliff:document:1.2"
	exclude-result-prefixes="xlf">

	<xsl:output indent="yes"/>

	<xsl:param name="targetLanguage"/>

	<xsl:template match="*">
		<xsl:copy>
			<xsl:copy-of select="@*"/>
			<xsl:apply-templates/>
		</xsl:copy>
	</xsl:template>

	<xsl:template match="xlf:file"/>

	<xsl:template match="xlf:file[not(@target-language)]">
		<xsl:copy>
			<xsl:copy-of select="@source-language"/>
			<xsl:attribute name="target-language">
				<xsl:value-of select="$targetLanguage"/>
			</xsl:attribute>
			<xsl:copy-of select="@original | @datatype"/>
			<xsl:apply-templates/>
		</xsl:copy>
	</xsl:template>

	<xsl:template match="xlf:trans-unit">
		<xsl:variable name="targetElement"><![CDATA[<target></target>]]></xsl:variable>
		<trans-unit id="{@id}">
			<xsl:apply-templates select="xlf:source"/>
			<xsl:text>&#xa;</xsl:text>
			<xsl:value-of select="$targetElement" disable-output-escaping="yes"/>
			<xsl:text>&#xa;</xsl:text>
		</trans-unit>
	</xsl:template>

	<xsl:template match="xlf:source">
		<xsl:copy-of select="."/>
	</xsl:template>

	<xsl:template match="text()"/>
</xsl:stylesheet>