<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns="urn:oasis:names:tc:xliff:document:1.2"
	xmlns:xlf="urn:oasis:names:tc:xliff:document:1.2"
	exclude-result-prefixes="xlf">

	<xsl:output indent="yes"/>

	<!-- Stylesheet for merged xliff -->

	<xsl:param name="sourceLanguage" select="false()"/>
	<xsl:param name="targetLanguage" select="false()"/>
	<xsl:param name="original" select="false()"/>
	<xsl:param name="datatype" select="false()"/>

	<xsl:template match="xlf:file">
		<xsl:if test="not($sourceLanguage) and not($targetLanguage)
		or @source-language = $sourceLanguage and not(@target-language)
		or @target-language = $targetLanguage">
			<xsl:copy>
				<xsl:copy-of select="@source-language | @target-language"/>
				<xsl:choose>
					<xsl:when test="$original">
						<xsl:attribute name="original">
							<xsl:value-of select="$original"/>
						</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:copy-of select="@original"/>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:choose>
					<xsl:when test="$datatype">
						<xsl:attribute name="datatype">
							<xsl:value-of select="$datatype"/>
						</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:copy-of select="@datatype"/>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:copy-of select="@tool | @tool-id | @date | @xml:space | @ts
				| @category | @product-name | @product-version | @build-num"/>
				<xsl:apply-templates/>
			</xsl:copy>
		</xsl:if>
	</xsl:template>

	<xsl:template match="*">
		<xsl:copy>
			<xsl:copy-of select="@*"/>
			<xsl:apply-templates/>
		</xsl:copy>
	</xsl:template>

	<xsl:template match="*[not(@xml:space='preserve')]/text()">
		<xsl:value-of select="normalize-space()"/>
	</xsl:template>

</xsl:stylesheet>